Login Using Token

User can use this api for login into system using token which is sent to the user in registered email as a access link, whenever new user added as a speaker/exhibitor-admin/lead-retriever in specific event.
It will return access token details and user details in the response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns in the form of JSON.

AttributesDescription
access_tokenThis access token is used as authentication key to validate user has rights to access specific api or not.
It contains encrypted user details with event mapped with the user.
expires_inThe expires_in returns date and time of access token expiration.
redirectUrlIt contains redirect url based on user role after successfully login.
showExhibitorMenuIt returns true if user is a exhibitor admin or lead retriever else it returns false.
userIdThe userId returns unique value associated with user.
userRoleThe userrole returns the role of user associated with mapped event.
whiteLabelURLWhite label url is a unique url which is managed and provided by white label admin.
countryCodeThis field return's the user's country code
emailThis field returns logging user's email id.
eventIdThis field returns unique event id in which user have logged in.
firstNameThis field returns logged in user's first name.
lastNameThis field returns logged in user's last name.
marketingOptInUser want to receive email updates.
phonenumberThis field returns logged in user's phone number.
roleThis field returns logged in user's roles in list.
userIdThe userId returns unique value associated with user.
userProfilePhotoThis field returns logged in user's profile photo url.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
4040100No User could be found.
Path Params
string
required

Token is auto generated string which generated after the user login. This will be used for calling other apis in system.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain